com.amazonaws.codegen.protocol

## Class RestXmlProtocolMetadataProvider

- java.lang.Object
- - com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider
  - - com.amazonaws.codegen.protocol.BaseXmlProtocolMetadataProvider
    - - com.amazonaws.codegen.protocol.RestXmlProtocolMetadataProvider

All Implemented Interfaces:
  ProtocolMetadataProvider

    public class RestXmlProtocolMetadataProvider
    extends BaseXmlProtocolMetadataProvider

### Constructor Summary

Constructors
Constructor and Description
`RestXmlProtocolMetadataProvider()`

### Method Summary

### Methods inherited from class com.amazonaws.codegen.protocol.BaseXmlProtocolMetadataProvider

`getExceptionUnmarshallerImpl, getUnmarshallerClassSuffix, getUnmarshallerContextClassName, isXmlProtocol`

### Methods inherited from class com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider

`getBaseExceptionFqcn, getContentType, getRequestBaseFqcn, isCborProtocol, isIonProtocol, isJsonProtocol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestXmlProtocolMetadataProvider

    public RestXmlProtocolMetadataProvider()